#include <iostream>

using namespace std;

int main()
{
    int n ,k ;
    cin >> n >> k ;
    int karte[n] ;
    int ind ;
    for(int i= 0; i<n ; i++){
        cin >> karte[i] ;
        if(karte[i]==k){
            ind=i ;
        }
    }
    if(ind==n-1){
        cout << karte[0] ;
    }
    else{
        cout << karte[ind+1] ;
    }

    return 0;
}